List Settings
curl --request GET \
--url https://api.example.com/cabinet/admin/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/cabinet/admin/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cabinet/admin/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"key": "<string>",
"name": "<string>",
"category": {
"key": "<string>",
"label": "<string>"
},
"type": "<string>",
"is_optional": true,
"has_override": true,
"current": "<unknown>",
"original": "<unknown>",
"read_only": false,
"choices": [
{
"value": "<unknown>",
"label": "<string>",
"description": "<string>"
}
],
"hint": {
"description": "",
"format": "",
"example": "",
"warning": ""
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin Settings
List Settings
Get list of all settings or settings for a specific category.
GET
/
cabinet
/
admin
/
settings
List Settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response
Successful Response
Reference to category.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Setting hints and guidance.
Show child attributes
Show child attributes
⌘I
